import { Observable } from 'rxjs';
import QMSCKEditorTree from '../common/models/qms-ckeditor-tree.model';
import QMSCKEditorVideoTree from '../common/models/qms-ckeditor-video-tree.model';
import { QMSCKEditorBaseService } from './qms-ckeditor-base.service';
import { IRelated } from '../../components/related/model/related-data.model';
import { GetSearchProcessDocumentOption } from '../models/get-search-process-document-option';
import * as i0 from "@angular/core";
export declare class QMSCKEditorTreeService extends QMSCKEditorBaseService {
    getDocumentList(): Observable<QMSCKEditorTree[]>;
    getProcessList(): Observable<QMSCKEditorTree[]>;
    getUploadVideoList(folderId?: number): Observable<QMSCKEditorVideoTree[]>;
    getProcessAreaContents(areaId?: string, showProcessesInTree?: boolean, isInterconnectedProcess?: boolean): Observable<any>;
    getFolderChildrens(id?: string, showProcessesInTree?: boolean, isOnlyApproved?: boolean): Observable<any[]>;
    searchProcess(keyword?: string, isContentSearch?: boolean, isFrontend?: boolean, searchType?: number): Observable<any[]>;
    searchDocument(keyword?: string, searchType?: number): Observable<any[]>;
    searchProcessInterconnected(keyword?: string, isContentSearch?: boolean, isFrontend?: boolean, searchType?: number): Observable<any[]>;
    searchProcessArea(keyword?: string, isContentSearch?: boolean, isFrontend?: boolean, searchType?: number): Observable<any[]>;
    getSearchProcessDocument(keyword: string, getSearchOption: GetSearchProcessDocumentOption): Promise<IRelated[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSCKEditorTreeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<QMSCKEditorTreeService>;
}
